import s from './styles.module.scss';
import clsx from 'clsx';

type BurgerProps = {
  isOpen: boolean;
  onToggle: (value: boolean) => void;
};

function Burger({ isOpen, onToggle }: BurgerProps) {
  return (
    <button
      className={clsx(s.Burger, isOpen && s.Burger_open)}
      onClick={() => onToggle(!isOpen)}
      aria-label='Menu'
    >
      <span />
      <span />
      <span />
    </button>
  );
}

export { Burger };
